<?php

namespace App\Http\Middleware;

use Closure;

class CheckAdminMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (\Session::has('user') != null 
            && \App\User::CheckActiveAdmin() == 'success') {

            return $next($request);
        }
        else {
            return redirect()->route('login');
        }
    }
}
